Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.sunraster
Class PaletteSunRasterEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.sunraster.SpecificEncoder
            |
            +--com.sun.jimi.core.encoder.sunraster.PaletteSunRasterEncoder

public class PaletteSunRasterEncoder
extends SpecificEncoder

Encoder implementation for 8-bit palette-based images. Supports RLE compression.

Field Summary
`protected boolean` | `useRLE_` RLE compression flag

Constructor Summary
`PaletteSunRasterEncoder()`

Method Summary
`void` | `doImageEncode()` Encode the image and write it to the output stream.
`void` | `setUseRLE(boolean flag)` Sets whether the encoder should use RLE compression.
`protected void` | `writeImage()` Worker method that actually writes the image.

Methods inherited from class com.sun.jimi.core.encoder.sunraster.SpecificEncoder
`getHeader, getJimiImage, getOutputStream, initEncoder, writeHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useRLE_

    protected boolean useRLE_

  RLE compression flag

Constructor Detail

### PaletteSunRasterEncoder

    public PaletteSunRasterEncoder()

Method Detail

### doImageEncode

    public void doImageEncode()
                       throws JimiException

  Encode the image and write it to the output stream.
  Overrides:
    doImageEncode in class SpecificEncoder

### setUseRLE

    public void setUseRLE(boolean flag)

  Sets whether the encoder should use RLE compression.
  Parameters:
    `flag` - True if compression is to be used.

### writeImage

    protected void writeImage()
                       throws java.io.IOException,
                              JimiException

  Worker method that actually writes the image.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD